import { useMemo } from 'react';
import { useBindingContext } from './BindingContext';
function useFieldSchema(path) {
  const {
    getSchemaForPath
  } = useBindingContext();
  return useMemo(() => {
    if (!path) return;
    try {
      return getSchemaForPath(path);
    } catch (err) {
      /* ignore */
    }
  }, [getSchemaForPath, path]);
}
export default useFieldSchema;